Subject: Re: [patch net-next v2 00/10] Add support for resource abstraction

From: Jiri Pirko <[email-masked]>
Date: Wed, 27 Dec 2017 10:37:54 +0100

Wed, Dec 27, 2017 at 09:23:31AM CET, [email-masked] wrote:
>> >$ devlink resource show pci/0000:03:00.0
>> >pci/0000:03:00.0:
>> >  name kvd size 245760 size_valid true
>> >  resources:
>> >    name linear size 98304 occ 0
>> >    name hash_double size 60416
>> >    name hash_single size 87040
>> >
>> >So this 2700 has 3 resources that can be managed -- some table or
>> >resource or something named 'kvd' with linear, hash_double and
>> >hash_single sub-resources. What are these names referring too? The above
>> >output gives no description, and 'kvd' is not an industry term. Further,
>> 
>> This are internal resources specific to the ASIC. Would you like some
>> description to each or something like that?
>
>The fact you have decided to expose them means you expect people to
>change them. So yes, they need to be documented. Maybe add something
>to Documentation/ABI/stable/
>
>> So the showed relation to dpipe table would be enougn or you would still
>> like to see some description? I don't like the description concept here
>> as the relations to dpipe table should tell user exactly what he needs
>> to know.
>
>Documenting the ABI is good practice.

This is misunderstanding I believe. This is not about ABI. That is well
defined by the netlink attributes. This is about meaning of particular
ASIC-specific internal resources.

>   Andrew